Skip to main content
`Ctrl`+`K`

# NEPMonitorSetFromOptions

Sets a monitor function and viewer appropriate for the type indicated by the user.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPMonitorSetFromOptions(NEP nep,const char opt[],const char name[],void *ctx,PetscBool trackall)

Collective

## Input Parameters

- nep - the nonlinear eigensolver context

- opt - the command line option for this monitor

- name - the monitor type one is seeking

- ctx - an optional user context for the monitor, or `NULL`

- trackall - whether this monitor tracks all eigenvalues or not

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPMonitorSet()`, `NEPSetTrackAll()`

## Level

developer

## Location

src/nep/interface/nepopts.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages